<?php if($this->out["sgbds"]) : ?>

<form action="<?php echo $this->url("install"); ?>" method="post">
  <fieldset>
    <legend>Stockage des données</legend>
    <ul>
      <li>
        <label>Mode de stockage</label>
        <div class="form_input">
          <select name="sgbd" id="sgbd">
            <?php foreach($this->out["sgbds"] as $class_name => $sgbd) : ?>
            <option value="<?php echo $class_name; ?>"<?php echo $class_name == $this->out["current_sgbd"] ? " selected" : ""; ?>>
              <?php echo $sgbd->sgbd_name(); ?>
            </option>
            <?php endforeach; ?>
          </select>
        </div>
      </li>
    </ul>

    <div id="sgbds">
      <?php foreach($this->out["sgbds"] as $class_name => $sgbd) : ?>
      <div class="sgbd<?php echo $class_name == $this->out["current_sgbd"] ? " current" : ""; ?>" id="sgbd_<?php echo $class_name; ?>">
        <ul>
          <li>
            <label>Host</label>
            <div class="form_input">
              <input type="text" name="<?php echo $class_name; ?>_host" value="<?php echo isset($sgbd->host) ? $sgbd->host : ""; ?>" />
            </div>
          </li>
          <li>
            <label>Base</label>
            <div class="form_input">
              <input type="text" name="<?php echo $class_name; ?>_base" value="<?php echo isset($sgbd->base) ? $sgbd->base : ""; ?>" />
            </div>
          </li>
          <?php if($sgbd->authentication_required()) : ?>
          <li>
            <label>User</label>
            <div class="form_input">
              <input type="text" name="<?php echo $class_name; ?>_user" value="<?php echo isset($sgbd->user) ? $sgbd->user : ""; ?>" />
            </div>
          </li>
          <li>
            <label>Password</label>
            <div class="form_input">
              <input type="password" name="<?php echo $class_name; ?>_password" />
            </div>
          </li>
          <?php endif; ?>
        </ul>
      </div>
      <?php endforeach; ?>
    </div>

    <ul>
      <li>
        <label>Table prefix</label>
        <div class="form_input">
          <input type="text" name="table_prefix" value="<?php echo $this->out("table_prefix"); ?>" />
        </div>
      </li>
    </ul>

  </fieldset>

  <fieldset>
    <legend>Compte administrateur</legend>
    <p>
      
    </p>
    <ul>
      <li>
        <label>Login</label>
        <div class="form_input">
          <input type="text" name="admin_login" value="<?php echo $this->out["admin"]["login"]; ?>" />
        </div>
      </li>
      <li>
        <label>Email</label>
        <div class="form_input">
          <input type="text" name="admin_email" value="<?php echo $this->out["admin"]["email"]; ?>" />
        </div>
      </li>
      <li>
        <label>Mot de passe</label>
        <div class="form_input">
          <input type="password" name="admin_password" />
        </div>
      </li>
      <li>
        <label>Confirmez le mot de passe</label>
        <div class="form_input">
          <input type="password" name="admin_password_confirm" />
        </div>
      </li>
    </ul>
  </fieldset>

  <fieldset>
    <ul>
      <li>
        <div class="form_buttons">
          <input type="submit" value="Installer" />
        </div>
      </li>
    </ul>
  </fieldset>

</form>

<?php else : ?>

<p>Aucune implémentation de SGBD trouvée</p>

<?php endif; ?>